Package twisted :: Package web :: Module xmlrpc

[show private | hide private]
[frames | no frames]

## Module twisted.web.xmlrpc

A generic resource for publishing objects via XML-RPC.

Requires xmlrpclib (comes standard with Python 2.2 and later, otherwise can be downloaded from http://www.pythonware.com/products/xmlrpc/).

API Stability: semi-stable

Maintainer: Itamar Shtull-Trauring<mailto:twisted@itamarst.org>

Classes
`XMLRPC` | A resource that implements XML-RPC.
`Handler` | Handle a XML-RPC request and store the state for a request in progress.
`Proxy` | A Proxy for making remote XML-RPC calls.

Exceptions
`NoSuchFunction` | There is no function by the given name.

Variable Summary
`FakeModule` | `Fault`

Variable Details

### Fault

  Type:
    `FakeModule`
  Value:

        <Fake xmlrpclib.Fault>

Generated by Epydoc 1.1 on Sat Feb 15 21:18:24 2003 | http://epydoc.sf.net